package com.sys.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.sys.dao.Oauth2ClientMapper;
import com.sys.model.Oauth2Client;

@Service("oauth2ClientService")
public class Oauth2ClientServiceImpl {


	@Autowired
	public Oauth2ClientMapper oauth2ClientMapper;
	public int deleteByPrimaryKey(Long id) {
		return oauth2ClientMapper.deleteByPrimaryKey(id);
	}

	public int insert(Oauth2Client record) {
		return oauth2ClientMapper.insert(record);
	}

	public int insertSelective(Oauth2Client record) {
		return oauth2ClientMapper.insertSelective(record);
	}

	public Oauth2Client selectByPrimaryKey(Long id) {
		return oauth2ClientMapper.selectByPrimaryKey(id);
	}


	public int updateByPrimaryKeySelective(Oauth2Client record) {
		return oauth2ClientMapper.updateByPrimaryKeySelective(record);
	}
	public Oauth2Client selectByClientId(String clientId){
		return oauth2ClientMapper.selectByClientId(clientId);
	}
	
	public Oauth2Client selectByClientSecret(String clientSecret){
		return oauth2ClientMapper.selectByClientSecret(clientSecret);
	}
	public int updateByPrimaryKey(Oauth2Client record) {
		return oauth2ClientMapper.updateByPrimaryKey(record);
	}
	

}
